Package org.bukkit.event.raid

# Class RaidFinishEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.world.WorldEvent
org.bukkit.event.raid.RaidEvent
org.bukkit.event.raid.RaidFinishEvent

public class RaidFinishEvent extends RaidEvent
This event is called when a `Raid` was complete with a clear result.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Constructor Summary

Constructors
Constructor
Description
`RaidFinishEvent(@NotNull Raid raid, @NotNull World world, @NotNull List<Player> winners)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull List<Player>`
`getWinners()`
Returns an immutable list contains all winners.

### Methods inherited from class org.bukkit.event.raid.RaidEvent

`getRaid`

### Methods inherited from class org.bukkit.event.world.WorldEvent

`getWorld`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RaidFinishEvent

public RaidFinishEvent(@NotNull @NotNull Raid raid, @NotNull @NotNull World world, @NotNull @NotNull List<Player> winners)

## Method Details

### getWinners

@NotNull public @NotNull List<Player> getWinners()
Returns an immutable list contains all winners.
Note: Players who are considered as heroes but were not online at the end would not be included in this list.

Returns:
  winners

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()